Subject: Re: bug#16016: 23.4; append-next-kill
From: Chong Yidong <[email-masked]>
To: Jorgen Harmse <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Dec 2013 10:45:20 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Jorgen Harmse <[email-masked]> writes:

> Contrary to its name and all the documentation I have read,
> append-next-kill sometimes causes the next kill to be prepended.
> Example
> (in emacs -Q): Type "foo bar", then C-a M-d C- C-e C-M-w C-w C-y. The
> yank produces " barfoo". This command would be much more useful if I
> understood when the next kill appends and when it prepends.

I have changed the docstring and the manual to make this clearer.  The
name is probably not worth changing.

Thanks.